> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Appraisal Status

> Set or update the status of a specific appraisal



## OpenAPI

````yaml put /client_reference/{client_reference_id}/appraisal/{appraisal_id}/appraisal_status
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /client_reference/{client_reference_id}/appraisal/{appraisal_id}/appraisal_status:
    put:
      tags:
        - default
      summary: Update Appraisal Status
      description: Set or update the status of a specific appraisal
      parameters:
        - $ref: '#/components/parameters/client_id'
        - $ref: '#/components/parameters/session-id'
        - name: client_reference_id
          required: true
          in: path
          schema:
            type: integer
          description: The client reference identifier.
        - name: appraisal_id
          required: true
          in: path
          schema:
            type: integer
          description: The appraisal identifier.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                appraisal_status_id:
                  type: integer
                  description: The ID of the status to assign to the appraisal
              required:
                - appraisal_status_id
            example:
              appraisal_status_id: 2
      responses:
        '204':
          description: Appraisal status updated successfully
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  event_code:
                    type: string
                  event_dict:
                    type: object
                    properties:
                      event_severity:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
              example:
                error: Non-existent appraisal_status_id and/or appraisal_status_id
                event_code: ERWPAP
                event_dict:
                  event_severity: ERROR
                  title: Incorrect param.
                  description: Incorrect param.
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  event_code:
                    type: string
                  event_dict:
                    type: object
                    properties:
                      event_severity:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
              example:
                title: Required feature is not enabled.
                description: Please contact support to have this feature enabled.
components:
  parameters:
    client_id:
      name: client_id
      in: query
      schema:
        type: integer
      example: '10'
      description: >-
        The client ID for the request. It's required if you have access to
        multiple clients with your API key. Otherwise, it's optional.
    session-id:
      name: session-id
      in: query
      schema:
        type: string
      example: a1b2c3d4e5f6g7h8i9j0
      description: Optional session identifier of the user.
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````